import Overlay from "../components/Overlay";

export default function Help() {
  return (
    <Overlay type="twoColumns">
      <div className="flex w-full justify-center">
          <div className="max-w-screen-md bg-white-HC-dark  rounded p-12">
            <div className="text-2xl mb-8 text-darkGray-HC-white font-bold">Acessibilidade</div>
            <div className="text-md mb-8 text-darkGray-HC-white">
            O MECRED acredita na importância de uma educação de qualidade e acessível para todos. Por isso, adota os princípios do design universal para assegurar que sua plataforma seja inclusiva e de fácil navegação. Nesta página, você encontrará instruções detalhadas sobre como navegar pelo site sem o uso do mouse. Ao final da página, há um botão que direciona para a tela de contato, onde você pode relatar eventuais problemas diretamente à nossa equipe.
            </div>
            <div className="border-2 bg-ice-HC-dark rounded mb-3 p-4">
              <div className="text-xl mb-2 text-darkGray-HC-white font-bold">Atalhos</div>
              <div className="text-md text-darkGray-HC-white"><div className="font-bold font-mono inline mx-2">{"<TAB>"}</div>Navegação pela página.</div>
              <div className="text-md text-darkGray-HC-white"><div className="font-bold font-mono inline mx-2">{"<Ctrl> + <+>"}</div>Aumentar o tamanho da fonte.</div>
              <div className="text-md text-darkGray-HC-white"><div className="font-bold font-mono inline mx-2">{"<Ctrl> + <->"}</div>Diminuir o tamanho da fonte.</div>
              <div className="text-md text-darkGray-HC-white"><div className="font-bold font-mono inline mx-2">{"<Ctrl> + <0>"}</div>Restaurar o tamanho da fonte para o tamanho original.</div>
            </div>
          <div className="flex justify-center flex-col items-center">
            <div className="text-darkGray-HC-white-underline mt-4 text-xl font-bold">Quer saber mais?</div>
            <div className="text-darkGray-HC-white-underline text-md mt-1 ml-3">Acesse a página de Ajuda e Suporte!</div>
            <a href="/ajuda" className="mt-4 bg-turquoise text-md text-white-HC-dark-underline p-1 px-6 rounded-lg hover:bg-turquoise-hover">Ir para a página de Ajuda</a>
          </div>
          </div>
      </div>
    </Overlay>
  )
}