"use client"

import { useSearchParams } from "next/navigation";
import { Suspense } from "react";
import Loading from "../components/Loading";
import Content from "../components/Content";



function tradutor(name) {
    switch (name) {
        case "LearningObject":
            return "Recursos"
        case "Collection":
            return "Coleções"
        case "MEC":
            return "MEC"
        case "User":
            return "Usuários"
        default:
            return
    }
}

/**
 * @param {Object} props
 * @param {string} props.name  informna se é recursos, coleções ou MEC
 * @param {string} props.inputFilter
*/
export default function Busca() {
    const searchParams = useSearchParams()
    const filter = searchParams.get('filter')
    const searchPage = searchParams.get('page')


    return (
        <Suspense fallback={<Loading />}>
            <Content inputFilter={filter} searchPage={searchPage}/>
        </Suspense>
    )
    
}