const pages = [
    {
        Por: "Recursos",
        title: "LearningObject"
    },
    {
        Por: "Coleções",
        title: "Collection"
    },
    {
        Por: "Usuários",
        title: "User"
    }
]

function tradutor(name) {
    switch (name) {
        case "LearningObject":
            return "Recursos"
        case "Collection":
            return "Coleções"
        case "MEC":
            return "MEC"
        case "User":
            return "Usuários"
        default:
            return
    }
}


export default function ButtonsPages({ searchPage, handlePageChange }) {
    return (
        <>
            <div>
                <div className='flex  items-center justify-center max-md:flex-col md:space-x-6 max-md:space-y-6 my-4'>
                    {
                        pages.map((item, index) => {

                            return (
                                <div key={index} onClick={() => { handlePageChange(item.title) }}
                                    className={` flex w-40 h-14 rounded-lg text-center items-center justify-center font-bold normal-case outline outline-1 outline-ice-HC-white ${searchPage === item.title ? "bg-turquoise-HC-white hover:bg-darkTurquoise-HC-dark text-white-HC-dark-underline hover:text-white" : "bg-ice-HC-dark hover:bg-darkGray-HC-white hover:text-white-HC-dark-underline"} text-darkGray-HC-white`}
                                > {tradutor(item.title)} </div>
                            )
                        })
                    }
                </div>
            </div>
        </>
    )
}