import * as React from 'react';
import { useState } from 'react';
import Button from '@mui/material/Button';
import Modal from '@mui/material/Modal';
import TuneIcon from '@mui/icons-material/Tune';
import CloseIcon from '@mui/icons-material/Close';
import FormFilters from './FormFilters';



/**
 * 
 * @returns modal de filtros
 */
export default function FiltersModal({
    scholarityLevelsAvailable,
    languagesAvailable,
    setFilterState,
    filterState,
    setItems,
    activeFilters,
    setActiveFilters,
    subjectsAvailable
}) {
    const [open, setOpen] = useState(false);
    const handleOpen = () => setOpen(true);
    const handleClose = () => setOpen(false);

    return (
        <div className='justify-self-end'>
            <Modal
                open={open}
                onClose={handleClose}
                aria-labelledby="modal-modal-title"
                aria-describedby="modal-modal-description"
                className='grid place-items-center '
                slotProps={{
                    backdrop: {
                      sx: {
                        backgroundColor: "rgba(0, 0, 0, 0.3)", // Ajuste a opacidade conforme necessário
                      },
                    },
                  }}
            >
                <div className='flex flex-col w-[60%] h-[80%] bg-white-HC-dark overflow-x-auto rounded-lg outline outline-1 outline-ice-HC-white'>
                    <div>
                        <div className='fixed z-20 w-[60%]'>
                            <div className='flex justify-between bg-white-HC-dark  rounded-lg p-4'>
                                <p className=' text-2xl font-bold text-darkGray-HC-white  '>
                                    Filtros de Pesquisa
                                </p>
                                <CloseIcon onClick={handleClose} sx={{ color: "#6c8080", fontSize: "35px" }} />
                            </div>
                        </div>
                        <div className='p-6'>
                            <FormFilters
                                activeFilters={activeFilters}
                                setActiveFilters={setActiveFilters}
                                handleClose={handleClose}
                                scholarityLevelsAvailable={scholarityLevelsAvailable}
                                languagesAvailable={languagesAvailable}
                                setFilterState={setFilterState}
                                filterState={filterState}
                                setItems={setItems}
                                subjectsAvailable={subjectsAvailable}
                            />
                        </div>
                    </div>
                </div>
            </Modal>
            <div className='justify-self-end'>
                <div className='flex ml-2 mt-2'>
                    {activeFilters &&
                        <Button onClick={() => { setActiveFilters(false) }} href="/busca?page=LearningObject" className={`normal-case font-semibold text-sm bg-darkGray-HC-white rounded-lg min-w-32  mx-1  text-white-HC-dark-underline hover:bg-slate-300`}>
                            Limpar Filtros
                        </Button>
                    }
                    <Button startIcon={<TuneIcon />} onClick={handleOpen} className='bg-darkGray-HC-white hover:bg-mediumGray-HC-dark font-semibold normal-case text-white-HC-dark-underline hover:text-white rounded-lg px-3 mr-2 outline outline-1 outline-ice-HC-white'>Filtros</Button>
                </div>
            </div>
        </div>
    );
}