import { mecredURL } from "@/axiosConfig";
import { CollectionsBookmark, Person, Subject } from "@mui/icons-material"
import { Avatar, Divider } from "@mui/material"
import Link from "next/link"

/**
 * 
 * @param {Object} props
 * @param {Object} item usuário a ser feito o card
 * @returns 
 */
export default function UsersPageCard({ item }) {
    function getRandomBg(id) {
        const colors = [
            "bg-turquoise",
            "bg-orange",
            "bg-turquoise-hover",
            "bg-darkOrange-HC-gray ",
            "bg-violet",
            "bg-pink",
            "bg-red",
            "bg-darkGray-HC-white",
            "bg-darkGray-HC-white-click",
            "bg-ice-HC-dark ",
            "bg-darkGray-HC-white",
            "bg-darkGray-HC-white",
            "bg-turquoise-HC-dark",
        ]

        return colors[id % colors.length];
    }


    return (
        item &&
        <Link tabIndex="-1" href={`/perfil/${item["id"]}`}>
            <div id="conteudo" tabIndex="0" className="flex flex-col w-[300px] min-h-[270px] bg-white-HC-dark  outline outline-1 outline-ice-HC-white m-4 rounded-lg hover:bg-ice-HC-dark-hover focus:bg-ice-HC-dark-hover">
                <div className="grid justify-items-center h-[200px] pt-2">
                    {item["avatar"] ?
                        <Avatar src={mecredURL + item["avatar"]} sx={{ position: "inherit" }} className=" min-h-[120px] min-w-[120px] m-2" />
                        :
                        <div className={`flex items-center justify-center text-5xl m-2 font-bold text-ice-HC-dark rounded-full h-[120px] w-[120px] ${getRandomBg(item["id"])}`} >{item["name"][0]}</div>

                    }


                    <p className=" font-bold text-darkGray-HC-white-underline text-center">{item["name"]}</p>
                </div>
                <Divider className="mx-4" />
                <div className="flex items-center flex-col gap-1 py-3 ">
                    <div className="flex flex-col justify-start gap-1">
                        <div className="flex">
                            <Person fontSize="small" className="text-darkGray-HC-white-underline mt-2" />
                            <p className="mt-2 text-sm text-darkGray-HC-white-underline px-1">Seguidores: {item["follows_count"]}</p>
                        </div>
                        {/* <div className="flex">
                            <CollectionsBookmark fontSize="small" className="text-darkGray-HC-white-underline" />
                            <p className="text-sm text-darkGray-HC-white-underline inline px-1">Coleções: {item["collections_count"]} </p>
                        </div> */}
                        <div className="flex">
                            <Subject fontSize="small" className="text-darkGray-HC-white-underline" />
                            <p className="text-sm text-darkGray-HC-white-underline inline px-1">Recursos: {item["learning_objects_count"]}</p>
                        </div>
                    </div>
                </div>
            </div>
        </Link>
    )
}