"use client";
import { useState } from "react";
import { Avatar, Card } from "@mui/material";

export default function PersonalCard(props) {
  const [showDetails, setShowDetails] = useState(false);

  return (
    <Card className="relative w-[315px] h-[480px] max-2xl:w-[290px] max-2xl:h-[450px] max-md:w-[250px] max-sm:w-[290px] text-darkGray-HC-white bg-ice-HC-dark overflow-y-auto scrollbar-none outline outline-1 outline-ice-HC-white pt-12">
      {showDetails && (
        <div className="absolute inset-0 bg-ice-HC-dark bg-opacity-70 flex flex-col gap-6  p-6 text-darkGray-HC-white z-10">
          <p className="font-bold ">{props.name}</p>
          <p className="font-light">{props.info}</p>
          <p className="font-light">{props.details}</p>
          <button
            className="text-turquoise-HC-white-underline  text-left"
            onClick={() => setShowDetails(false)}
          >
            Voltar
          </button>
        </div>
      )}

      <div className="flex flex-col">
        <div className="flex flex-col justify-center items-center gap-4">
          <a href={props.image} target="_blank" rel="noopener noreferrer">
            <Avatar
              src={props.image}
              alt="Foto do membro da equipe"
              className="h-[180px] w-[180px]  hover:animate-bounce"
            />
          </a>
          <p className="font-bold text-darkGray-HC-white">{props.name}</p>
          <p className="text-darkGray-HC-white font-light">{props.info}</p>
          <button className="text-turquoise-HC-white-underline " onClick={() => setShowDetails(true)}>Ver detalhes</button>
        </div>

        <div className="w-[90%] h-[1px] bg-lightGray-HC-white  my-5 self-center" />

        <div className="flex flex-wrap gap-y-6 gap-x-16 max-md:gap-x-4 max-md:gap-y-4 max-sm:gap-x-16 max-sm:gap-y-6 mx-5 items-center mr-10 ">
          {Object.entries(props.links).map(([key, value], index) => (
            <div
              key={index}
              className="flex flex-row justify-center items-center cursor-pointer gap-2"
              onClick={() => window.open(value, "_blank")}
            >
              <div className="w-[20px] h-[20px] bg-lightGray-HC-white  rounded-full"></div>
              <span className="text-sm text-darkGray-HC-white">{key}</span>
            </div>
          ))}
        </div>
      </div>
    </Card>
  );
}
