"use client";
import { Card } from "@mui/material";
import PersonalCard from "./personalCard";
import TeamFilters from "./teamFilters";
import React, { useState } from "react";

const team = [
  // {
  //   name: "Eduardo Todt",
  //   image: "/images/prof.png",
  //   info: "Professor coordenador",
  //   links: {
  //     MECRED: "https://mecred.mec.gov.br/perfil/53",
  //     Lattes: "http://lattes.cnpq.br/9942240121225139",
  //     LinkedIn: "https://www.linkedin.com/in/eduardo-todt-42bb8317/?originalSubdomain=br",
  //     //Outro: 
  //   },
  //   details: `Doutor em Automatização Avançada e Robótica, atua em pesquisa, desenvolvimento e inovação 
  //           nas áreas de informática na educação, robótica, dispositivos móveis e inteligência artificial aplicada. 
  //           Experiência na indústria, tanto no Brasil, como na Alemanha, coordenador de diversos projetos de grande porte.`,
  //   filter: "UFPR",
  //   active: true,
  // },
  {
    name: "Richard Fernando Heise Ferreira",
    image: "https://mecred.c3sl.ufpr.br/team-photos/richard.png",
    info: "Gerente de projetos",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/40442",
      Lattes: "http://lattes.cnpq.br/0412644118183920",
      LinkedIn: "https://www.linkedin.com/in/richardheise/",
      Outro: "https://github.com/richardheise",
    },
    details: `Richard Fernando Heise Ferreira é um estudante de mestrado em Segurança Computacional, formado em Ciência da Computação pela 
            Universidade Federal do Paraná. Gerente de projetos no C3SL desde 2020, Richard participou de diversos projetos relevantes em escala nacional
            em parcerias com diferentes ministérios. Seus interesses permeiam todas as áreas da computação, tendo feito seu trabalho de conclusão de 
            curso em Teoria Espectral dos Grafos; trabalhado com desenvolvimento web; treinado inúmeras equipes ao longo dos anos nos mais diversos 
            sistemas de arquitetura de serviços e, mais recentemente, voltando sua atenção especialmente para DevOps e cybersegurança.`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Maria Carolina Sauer",
    image: "https://mecred.c3sl.ufpr.br/team-photos/maria.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br//perfil/36259",
      Lattes: "http://lattes.cnpq.br/2803661990489584",
      LinkedIn: "https://br.linkedin.com/in/maria-carolina-sauer-385259313",
      Outro: "https://github.com/mariasauer",
    },
    details: `Maria Carolina Sauer é graduanda em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Membro do C3SL desde 2023, iniciou 
            sua atuação no Painel PNLD e atualmente trabalha como desenvolvedora no MECRED.`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Janaína Saldiva Kshesek",
    image: "https://mecred.c3sl.ufpr.br/team-photos/jana.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/37527",
      Lattes: "http://lattes.cnpq.br/3367973267524066",
      LinkedIn: "www.linkedin.com/in/janaina-saldiva-kshesek",
      Outro: "https://github.com/janainakshesek",
    },
    details: `Janaína Saldiva Kshesek é graduanda em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Membro do C3SL desde janeiro de 2023,
              iniciou sua atuação no Laboratório de Dados Educacionais e atualmente trabalha como desenvolvedora no MECRED.`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Thomas Bianchi Todt",
    image: "https://mecred.c3sl.ufpr.br/team-photos/thomas.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/19522",
      Lattes: "http://lattes.cnpq.br/2874244088607244",
      LinkedIn: "https://www.linkedin.com/in/thomas-todt-0a119b204/",
      Outro: "https://github.com/ThomasTodt",
    },
    details: `Thomas Todt é graduando em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Membro do C3SL desde março de 2022
     e atualmente trabalha como desenvolvedor no MECRED.`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Gustavo Silveira Frehse",
    image: "https://mecred.c3sl.ufpr.br/team-photos/gustavo.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/30484",
      Lattes: "http://lattes.cnpq.br/1480242130834103",
      LinkedIn: "https://www.linkedin.com/in/gusfrehse/",
      Outro: "https://github.com/gusfrehse",
    },
    details: `Gustavo Frehse é graduando em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Membro do C3SL desde janeiro de 2023,
              trabalhando como desenvolvedor no MECRED`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Jonas Lopes Guerra",
    image: "https://mecred.c3sl.ufpr.br/team-photos/jonas.png",
    info: "Designer",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/36454",
      Lattes: "http://lattes.cnpq.br/0331078544987023",
      LinkedIn: "https://www.linkedin.com/in/jonaslupus/",
      Outro: "https://www.researchgate.net/profile/Jonas-Lopes-Guerra",
    },
    details: `Jonas atua como designer desde 2007, é bacharel em Design pela UTFPR, se especializou em Game Design pela Oulu University 
    of Applied Sciences (OAMK) na Finlândia, e atualmente faz mestrado em Informática na UFPR, atuando também como pesquisador na área de Interação 
    Humano-Computador no Centro de Computação Científica e Software Livre da UFPR (C3SL). Suas principais áreas de interesse são design de experiência 
    do usuário, design de jogos digitais e gestão de projetos. Contato: jonas.lupus@gmail.com `,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Eloiza Cardoso",
    image: "https://mecred.c3sl.ufpr.br/team-photos/eloiza.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/40455 ",
      Lattes: "https://lattes.cnpq.br/9208522246873116",
      LinkedIn: "https://www.linkedin.com/in/eloiza-cardoso-62367432a/",
    },
    details: `Eloiza Cardoso é graduanda em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Membro do C3SL desde 2024,
              atualmente trabalha como desenvolvedor no MECRED.`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Guilherme Gonçalves",
    image: "https://mecred.c3sl.ufpr.br/team-photos/guilherme.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/40453",
      Lattes: "https://lattes.cnpq.br/2469650917034709",
      LinkedIn: "https://www.linkedin.com/in/guilherme-eduardo-14857a147/",
      Outro: " https://github.com/guilherme-eduardo",
    },
    details: `Guilherme Gonçalves é graduando em Informática Biomédica pela Universidade Federal do Paraná (UFPR). Membro do C3SL desde 2024,
              atualmente trabalha como desenvolvedor no MECRED.`,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Pedro Willian Aguiar",
    image: "https://mecred.c3sl.ufpr.br/team-photos/pedro.png",
    info: "Desenvolvimento",
    links: {
      MECRED: "https://mecred.mec.gov.br/perfil/36683",
      LinkedIn: "http://linkedin.com/in/pedro-aguiar-681b4b251",
      Outro: "https://github.com/pedrow123",
    },
    details: `Pedro Willian Aguiar é graduando em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Foi bolsista do C3SL por 2 anos e 3 meses e
              atuou como desenvolvedor nos projetos Painel PNLD e MECRED.`,
    filter: "UFPR",
    active: false,
  },
  {
    name: "Luan Bernardt",
    image: "https://mecred.c3sl.ufpr.br/team-photos/luan.png",
    info: "Desenvolvimento",
    links: {
      LinkedIn: "https://www.linkedin.com/in/luan-machado-bernardt",
      Outro: "https://github.com/Luan-MB",
    },
    details: `Luan Bernardt é graduando em Ciência da Computação pela Universidade Federal do Paraná (UFPR). Foi bolsista do C3SL por 2 anos e 7 meses atuando como 
            desenvolvedor na plataforma MECRED.`,
    filter: "UFPR",
    active: false,
  },
  {
    name: "Krissia Menezes",
    image: "https://mecred.c3sl.ufpr.br/team-photos/krissia.png",
    info: "Acessibilidade",
    links: {
      MecRed: "https://mecred.mec.gov.br/perfil/37003",
      Lattes: "https://lattes.cnpq.br/1004231276752932",
      Scholar: "https://scholar.google.com/citations?user=KL-KsuQAAAAJ&hl=pt-BR",
      Outro: "https://www.researchgate.net/profile/Krissia-Menezes?ev=hdr_xprf",
    },
    details:`Krissia é pesquisadora da área de Interação Humano-Computador no Centro de Computação Científica e Software da UFPR (C3SL), 
            doutoranda em Ciência da Computação no Programa de Pós-graduação em Informática (PPGInf) da Universidade Federal do Paraná (UFPR), possui 
            mestrado em Informática também pelo PPGInf UFPR e especialização em Desenvolvimento de Sistemas Web. Possui experiência com a avaliação de 
            Tecnologias inclusivas, criou o Método para Avaliação de Tecnologias Educacionais Acessíveis e conduziu os estudos que informaram o 
            redesign da Plataforma MECRED. Contato: krissia@ufpr.br. `,
    filter: "UFPR",
    active: true,
  },
  {
    name: "Mariane Cassenote",
    image: "https://mecred.c3sl.ufpr.br/team-photos/mariana.png",
    info: "Algoritmos de recomendação",
    links: {
      MecRed: "https://mecred.mec.gov.br/perfil/37003",
      Lattes: "https://lattes.cnpq.br/1004231276752932",
      Scholar: "https://scholar.google.com/citations?user=KL-KsuQAAAAJ&hl=pt-BR",
      Outro: "https://www.researchgate.net/profile/Krissia-Menezes?ev=hdr_xprf",
    },
    details:`Possui doutorado em Ciência da Computação pela Universidade Federal do Paraná (2024), mestrado em Informática pela mesma instituição (2019)
            e graduação em Ciência da Computação pela Universidade de Cruz Alta (2016). Atualmente, realiza estágio pós-doutoral no Centro de Computação
            Científica e Software Livre (C3SL) da UFPR. Sua experiência abrange a área de Ciência da Computação, com foco em Inteligência Artificial e
            Otimização, tendo interesse especial em otimização numérica, busca heurística e aprendizado de máquina.`,
    filter: "UFPR",
    active: true,
  },
]


export default function TeamCard() {
  const [filterState, setFilterState] = useState("Todos");

  const filteredTeam = team
    .filter((person) =>
      filterState === "Todos" ||
      person.filter === filterState ||
      (filterState === "Ativos" && person.active) ||
      (filterState === "Inativos" && !person.active)
    )
    .sort((a, b) => a.name.localeCompare(b.name));


  return (
    <div className="flex justify-center overflow-y-auto min-h-screen ml-8 mr-28 max-2xl:mr-8 max-xl:mx-4">
      <Card className="h-full w-full text-darkGray-HC-white bg-white-HC-dark  outline outline-1 outline-ice-HC-white py-16 rounded-xl">
        <div className="flex justify-center flex-col items-center gap-7 mx-36 max-lg:mx-20 max-sm:mx-6">
          <p className="text-2xl font-bold max-sm:text-center">Equipe de Desenvolvedores</p>
          <p className="text-xl font-light text-center">A partir de uma iniciativa do Ministério da Educação, surge em outubro de 2015 a proposta de 
            reunir e disponibilizar, em um único lugar, os Recursos Educacionais Digitais dos principais portais do Brasil. Com o objetivo de melhorar a 
            experiência de busca desses Recursos, a MEC RED foi desenvolvida numa parceria coletiva entre: Universidade Federal do Paraná (UFPR), 
            Universidade Federal de Santa Catarina (UFSC) e professoras(es) da Educação Básica de todo o Brasil.</p>
        </div>
        <TeamFilters setFilterState={setFilterState} />
        <div className="flex flex-wrap gap-10 pt-16 ml-32 max-xl:justify-center max-xl:gap-4 max-xl:ml-0">
          {filteredTeam.length > 0 ?

            filteredTeam.map((person, index) => (
              <PersonalCard key={index} name={person.name} image={person.image} info={person.info} links={person.links} details={person.details}/>
            ))
            :
            <p>Nenhum membro encontrado para esse filtro!</p>
          }
        </div>
      </Card>

    </div>
  )
}