import { Suspense } from "react";
import "./globals.css";
import Loading from "./components/Loading";

export const metadata = {
  title: 'MECRED',
  description: 'Plataforma MEC de Recursos Educacionais Digitais',
}

export default function RootLayout({ children }) {
  return (
    <html lang="pt-BR">
      <head>
        <script defer data-domain="mecred.mec.gov.br" src="https://plausible.c3sl.ufpr.br/js/script.js"></script>
        <link rel="preconnect" href="https://fonts.googleapis.com"/>
        <link rel="preconnect" href="https://fonts.gstatic.com" crossOrigin=""/>
        <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap" rel="stylesheet"/>
    </head>
      <body>
        <Suspense fallback={<Loading />}>
          {children}
        </Suspense>
      </body>
    </html>
  )
}
