import FieldLabel from "../../components/FieldLabel";
import Radio from "@mui/material/Radio";
import RadioGroup from "@mui/material/RadioGroup";
import FormControlLabel from "@mui/material/FormControlLabel";
import CustomTextField from "./CustomTextField";

export default function AuthorSelection({ selectedValue, handleRadioChange, author, handleAuthorChange }) {
  return (
    <>
      <FieldLabel name="Autoria do Recurso*" />
      <div className="flex flex-col items-start">
        <RadioGroup
          aria-labelledby="demo-radio-buttons-group-label"
          value={selectedValue}
          name="radio-buttons-group"
          className="mb-5"
          sx={{
            '& .MuiRadio-root': {
              color: 'var(--darkGray-HC-white)', // Default radio color
              '&.Mui-checked': {
                color: 'var(--turquoise-HC-white)', // Selected radio color
              },
            },
          }}
        >
          <FormControlLabel
            onChange={handleRadioChange}
            value="a"
            control={<Radio />}
            label={
              <span className="text-darkGray-HC-white">
                O Recurso foi desenvolvido por mim.
              </span>
            }
          />
          <FormControlLabel
            onChange={handleRadioChange}
            value="b"
            control={<Radio />}
            label={
              <span className="text-darkGray-HC-white">
                O Recurso foi desenvolvido por mim e por outra(s) pessoa(s).
              </span>
            }
          />
          <FormControlLabel
            onChange={handleRadioChange}
            value="c"
            control={<Radio />}
            label={
              <span className="text-darkGray-HC-white">
                O Recurso foi desenvolvido por outra(s) pessoa(s).
              </span>
            }
          />
        </RadioGroup>
        <CustomTextField
          fullWidth
          multiline
          disabled={selectedValue === "a"}
          placeholder="Nomes dos autores separados por vírgula"
          value={author}
          onChange={handleAuthorChange}
          helperText={<div className=" w-full justify-end flex">
            {author?.length}/100
            </div>}
          error={author?.length > 100}
          className="mb-5"
        />
      </div>
    </>
  );
}
