import Backdrop from '@mui/material/Backdrop';
import Modal from '@mui/material/Modal';
import CloseIcon from '@mui/icons-material/Close';
import { Button, IconButton } from '@mui/material';

/**
 * 
 * @param {object} props 
 * @param {Boolean} props.openModal
 * @param {Function} props.onClose
 */
export default function CancelSubmitModal({ openModal, onClose }) {

    return (

        <Modal
            className='flex justify-center items-stretch m-4'
            aria-labelledby="transition-modal-title"
            aria-describedby="transition-modal-description"
            open={openModal}
            onClose={onClose}
            closeAfterTransition
            slots={{ backdrop: Backdrop }}
            slotProps={{
                backdrop: {
                    timeout: 500,
                    backgroundColor: "rgba(0, 0, 0, 0.3)", // Ajuste a opacidade conforme necessário
                },
            }}
        >
            <div className='absolute p-4 pb-14 rounded-lg self-center bg-white-HC-dark  border-2 border-ice-HC-white'>
                <>
                    <div className='flex justify-end'>
                        <IconButton onClick={onClose} className='group hover:bg-ice-HC-white'>
                            <CloseIcon fontSize='large' className='text-darkGray-HC-white group-hover:text-darkGray-HC-dark' />
                        </IconButton>
                    </div>
                    <div className='px-4'>
                        <p className='flex justify-center text-darkGray-HC-white text-xl font-semibold pb-6 '>
                            Tem certeza que deseja cancelar a submissão do recurso? </p>
                        <div className='flex justify-center '>
                            <Button 
                                variant='outlined'
                                className='bg-ice-HC-dark normal-case text-darkGray-HC-white-underline font-bold text-lg rounded-lg w-28 mr-2 border-2 border-ice-HC-white hover:bg-ice-HC-white hover:text-darkGray-HC-dark-underline' onClick={onClose} > Não </Button>
                            <Button
                                variant='outlined' 
                                className='normal-case text-white-HC-dark-underline font-bold text-lg rounded-lg w-28 ml-2 border-2 border-turquoise-HC-white hover:border-darkTurquoise-HC-white hover:bg-darkTurquoise-HC-dark bg-turquoise-HC-white hover:text-white-HC-underline' href="/busca?page=LearningObject"> Sim </Button>
                        </div>
                    </div>
                </>
            </div>
        </Modal>
    );
}
