import * as React from 'react';
import Modal from '@mui/material/Modal';
import { IconButton } from '@mui/material';
import CloseIcon from '@mui/icons-material/Close';

export default function ErrorType({ open, handleClose, thumbnail = false }) {


    return (
        <div>
            <Modal
                className='flex justify-center items-stretch m-4'
                open={open}
                onClose={handleClose}
                aria-labelledby="modal-modal-title"
                aria-describedby="modal-modal-description"
                slotProps={{
                    backdrop: {
                      sx: {
                        backgroundColor: "rgba(0, 0, 0, 0.3)", // Ajuste a opacidade conforme necessário
                      },
                    },
                }}
            >
                <div className='absolute p-4 pb-14 rounded-lg self-center bg-white-HC-dark  border-2 border-ice-HC-white'>
                    <div className='flex justify-end'>
                        <IconButton onClick={handleClose}>
                            <CloseIcon fontSize='large' />
                        </IconButton>
                    </div>
                    {
                        !thumbnail ? <>
                            <p className='px-4 pt-2 text-center text-2xl text-darkGray-HC-white'>
                                Não foi possivel enviar o arquivo.
                            </p>
                            <p className='px-4 pt-2 text-center text-lg text-darkGray-HC-white pb-8'>
                                Tipo de arquivo não suportado.
                            </p>
                            <p className='px-4 pt-2 text-start text-lg text-darkGray-HC-white'>
                                Os tipos de arquivos suportados são:

                                <li className='text-sm'> Vídeos: mp4, mpeg, ogg, webm, 3gpp </li>
                                <li className='text-sm'> Áudio: wav, x-wav, webm, ogg, flac, mpeg, mp3, x-mp3, mp4, aac, x-m4a </li>
                                <li className='text-sm'> Image: jpeg, webp, gif, png, apng, svg+xml, bmp </li>
                                <li className='text-sm'> Textos: pdf, txt, md, csv </li>
                            </p>
                        </>
                            :
                            <>
                                <p className='px-4 pt-2 text-center text-2xl text-darkGray-HC-white'>
                                    Não foi possivel enviar a thumbnail.
                                </p>
                                <p className='px-4 pt-2 text-center text-lg text-darkGray-HC-white pb-8'>
                                    Tipo de arquivo não suportado.
                                </p>
                                <p className='px-4 pt-2 text-start text-lg text-darkGray-HC-white'>
                                    Os tipos de thumbnail suportados são:
                                    <li className='text-sm'> Image: jpeg, webp, gif, png, apng, svg+xml, bmp </li>
                                </p>
                            </>

                    }


                </div>
            </Modal>
        </div>
    );
}
