import { objectTypes } from "@/app/components/ObjectTypes";
import FieldLabel from "./FieldLabel";
import SelectOption from "./SelectOption";

export default function ObjectTypeSelection({ selected, handleSelection, error }) {
  return (
    <>
      <FieldLabel name="Tipo de Recurso*" error={error} />
      <div className="flex flex-wrap justify-center">
        {objectTypes.map((subject, index) => {

          return (
            <SelectOption
              key={index}
              selected={selected}
              handleSelection={handleSelection}
              subject={subject}
            />
          )
        })}
      </div>
    </>
  );
}
