import Image from "next/image";

export default function SelectOption({ selected, handleSelection, subject }) {
  
  return (
    <div
      onClick={() => handleSelection(subject)}
      className={`group bg-ice-HC-dark hover:bg-lightGray-HC-white hover:cursor-pointer 
                  h-24 w-24 max-lg:h-20 max-lg:w-20 border-2  flex 
                  flex-col m-2 items-center p-2 text-center  justify-center rounded-lg ${
        selected.includes(subject) && "border-2 border-turquoise-HC-white bg-lightGray-HC-white "
      }`}
    >
      {/* <Image 
        alt={subject.name} 
        height={0} 
        width={0} 
        className="w-12 h-12 max-lg:w-8 max-lg:h-8 fill-current text-pink" 
        src={subject.image} 
      /> */}
      <div
        alt={subject.name}
        className={`w-12 h-12 max-lg:w-8 max-lg:h-8 fill-current 
          ${selected.includes(subject) ? "text-turquoise-HC-dark" : "text-turquoise-HC-white group-hover:text-turquoise-HC-dark"} 
        `}
        dangerouslySetInnerHTML={{ __html: subject.image }}
      ></div>
      <span className={`text-xs max-lg:text-xs 
        ${selected.includes(subject) ? "text-turquoise-HC-dark-underline" : "text-turquoise-HC-white-underline group-hover:text-turquoise-HC-dark-underline"}
      `}>{subject.name}</span>
    </div>
  );
}
