import FieldLabel from "../components/FieldLabel";
import SelectOption from "./SelectOption";
import {
  scienceSubjects,
  citizenshipSubjects,
  environmentSubjects,
  healthSubjects,
  multiculturalismSubjects,
} from "@/app/components/Subjects";

function SubjectThemeTitle({ name }) {
  return <div className="text-darkGray-HC-white">{name}</div>;
}

export default function SubjectSelection({ handleSelection, selected, error }) {
  function SubjectsList({ subjects }) {
    return (
      <div className="flex flex-wrap w-full justify-center my-2">
        {subjects.map((subject, index) => (
          <SelectOption
            key={index}
            selected={selected}
            handleSelection={handleSelection}
            subject={subject}
          />
        ))}
      </div>
    );
  }

  return (
    <>
      <FieldLabel
        name="Temas Contemporâneos Transversais na BNCC"
        description="(Selecione uma ou mais opções)*"
        error={error}
      />

      <SubjectThemeTitle name="Ciência e Tecnologia" />
      <SubjectsList subjects={scienceSubjects} />
      <SubjectThemeTitle name="Multiculturalismo" />
      <SubjectsList subjects={multiculturalismSubjects} />
      <SubjectThemeTitle name="Cidadania e Civismo" />
      <SubjectsList subjects={citizenshipSubjects} />
      <SubjectThemeTitle name="Saúde" />
      <SubjectsList subjects={healthSubjects} />
      <SubjectThemeTitle name="Meio Ambiente" />
      <SubjectsList subjects={environmentSubjects} />
    </>
  );
}
