import {
    Button,
    TextField,
} from "@mui/material";
import { useState } from "react";
import InsertLinkIcon from '@mui/icons-material/InsertLink';

export default function SubmitLink({ setUploading, setDraft, draft }) {
    const [link, setLink] = useState(draft.link !== undefined ? draft.link : "")
    const [flag, setFlag] = useState(false)

    const handleLink = (e) => {
        e.preventDefault();
        let userInput = e.target.value;
        const urlRegex = new RegExp(
            // eslint-disable-next-line
            "(?:(?:(?:https?|ftp):\/\/))(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,}))\.?)(?::\d{2,5})*(?:[/?#]\S*)?", "i"
        )
        setFlag(urlRegex.test(userInput))

        setLink(userInput)
    }

    const handleSubmit = (e) => {
        e.preventDefault();

        if (!link || !flag) return

        setDraft((curr) => ({
            ...curr,
            link: link
        }))

        setUploading("link")
    }

    const handleDeletSubmit = (e) => {
        e.preventDefault();

        setDraft((curr) => ({
            ...curr,
            link: null
        }))

        setUploading("nothing")
    }
    return (
        <div className="flex flex-col w-full min-h-72 items-center justify-around">
            <div className={`flex h-24 w-24 my-5 mx-10 rounded-full items-center justify-center bg-turquoise-HC-white`}>
                <InsertLinkIcon fontSize="large" className="text-white-HC-dark" />
            </div>

            {
                draft.link ?
                    <>
                        <p className="text-darkGray-HC-white break-words w-full">
                            Link enviado: {draft.link}
                        </p>
                        <Button
                            variant="outlined"
                            className="text-ice-HC-dark-underline font-bold px-10 mb-10 rounded-lg w-64 border-turquoise-HC-white hover:bg-darkTurquoise-HC-dark bg-turquoise-HC-white text-white-HC-dark-underline hover:text-white-HC-underline"
                            onClick={handleDeletSubmit}
                        >
                            EXCLUIR LINK
                        </Button>
                    </>
                    :
                    <>
                        <div className="flex flex-col">
                            <h1 className="h-full flex flex-col justify-center text-center text-2xl text-darkGray-HC-white">
                                Envie o link de um recurso a partir de outro site.
                            </h1>
                            <TextField
                                error={!flag&&link}
                                helperText={!flag&&link ? "Preencha com um link válido" : ""}
                                fullWidth label="Exemplo: https://www.google.com.br"
                                className="my-5 bg-white p-3"
                                onChange={handleLink}
                                variant="outlined"
                                
                            />
                        </div>
                        <Button
                            variant="outlined"
                            className="text-white-HC-dark-underline font-bold px-10 mb-10 rounded-lg w-64 border-turquoise-HC-white hover:bg-darkTurquoise-HC-dark bg-turquoise-HC-white hover:text-white-HC-underline"
                            onClick={handleSubmit}
                        >
                            ENVIAR LINK
                        </Button>
                    </>
            }

        </div>
    )
}