import axios from "axios";
import {
  saveToLocalStorage,
} from "./app/handlers/localStorageHandler";

export const mecredURL = "https://api.mecred.c3sl.ufpr.br/";
export const mecredURLv1 = "https://api.mecred.c3sl.ufpr.br/v1";

const wrapper = (method) => {
  return (...args) => {
    return method(...args).then((response) => {
      if (response.headers["access-token"]) {
        saveToLocalStorage("access_token", response.headers["access-token"]);
      }

      return response;
    });
  };
};

const mecredApi = (() => {
  const api = axios.create({
    baseURL: "https://api.mecred.c3sl.ufpr.br/v1",
  });

  const wrappedApi = {
    getUri: api.getUri,
    request: wrapper(api.request),
    get: wrapper(api.get),
    delete: wrapper(api.delete),
    head: wrapper(api.head),
    options: wrapper(api.options),
    post: wrapper(api.post),
    put: wrapper(api.put),
    patch: wrapper(api.patch),
    postForm: wrapper(api.postForm),
    putForm: wrapper(api.putForm),
    postForm: wrapper(api.postForm),
    patchForm: wrapper(api.patchForm),
  };

  return wrappedApi;
})();

export default mecredApi;
